# Get group

`GET https://api.airtable.com/scim/v2/Groups/{groupId}`

Get a single group as a [SCIM Group](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2) object.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.scim.usersAndGroups:manage`](https://airtable.com/developers/web/api/scopes.md#enterprise-scim-users-and-groups-manage)
- **User role:** Enterprise admin _Note: Admins of multiple enterprises should use a service account's token when calling this route._
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `groupId: string`

## Response format

See [SCIM Groups](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)

- `id: string` — required

  A user group ID

- `schemas: array<string>` — required

  A list of schemas, including at least SCIM's core group schema URI.

- `displayName: string | null` — required

  Becomes the displayName of the group in Airtable. It must not be in use already.

- `members: array<object>` — optional

  List of members of the group.

  - `value: string` — required

    Represents the user ID of a group member

### Example — Success response

```sh
curl "https://api.airtable.com/scim/v2/Groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "displayName": "ExampleGroup",
  "id": "ugpQ7PJ2boxzMAKFU",
  "members": [
    {
      "value": "usrI7HMkO7sAefUHk"
    },
    {
      "value": "usrM4UuTPOjRlDOHT"
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ]
}
```

## Error responses

### 400

**Unknown group ID** — With an unknown Group ID

```json
{
  "detail": "invalid group ID",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": 400
}
```
